package org.xyzh.common.dto.resource;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 资源标签关联表
 * @filename TbResourceTag.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbResourceTag extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 资源ID
     */
    private String resourceID;
    
    /**
     * @description 标签ID
     */
    private String tagID;
    
    /**
     * @description 创建者
     */
    private String creator;

    public String getResourceID() {
        return resourceID;
    }

    public void setResourceID(String resourceID) {
        this.resourceID = resourceID;
    }

    public String getTagID() {
        return tagID;
    }

    public void setTagID(String tagID) {
        this.tagID = tagID;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Override
    public String toString() {
        return "TbResourceTag{" +
                "id=" + getID() +
                ", resourceID='" + resourceID + '\'' +
                ", tagID='" + tagID + '\'' +
                ", createTime=" + getCreateTime() +
                '}';
    }
}
